import { getHttp, postHttp } from "../request.js";

/* 首页 */
export const Home = {
  getNewList: (params) => {
    return getHttp("/home/new", params);
  },
  /* 
      列表
      PageSize * CurrentIndex * ChartPermissionId *品类id，最新传0
      */
  getList: (params) => {
    return getHttp("/home/artAndChart/list", params);
  },
  /* 获取品种 */
  Tab: (params) => {
    return getHttp("/permission/all", params, 0);
  },
  /* 首页-顶部导航 */
  headerTab: (params) => {
    return getHttp("/home/header_tab", params, 0);
  },
  /* 微路演列表 */
  microRoadshowList: (params) => {
    return getHttp("/micro_roadshow/list", params, 0);
  },
  /* 新增视频播放记录 */
  microAideoHistoryAdd: (params) => {
    return postHttp("/micro_roadshow/videoHistory/add", params, 0);
  },
  /* 微路演留言 */
  microRoadshowAdd: (params) => {
    return postHttp("/micro_roadshow/comment/add", params, 0);
  },
  //微路演收藏
  microRoadshowCollect: (params) => {
    return postHttp("/micro_roadshow/collect", params);
  },
};
