import { getHttp, postHttp } from "../request.js";

/* 报告文章 */
export const Report = {
  /* 报告详情  ArticleId */
  reportDtl: (params) => {
    return getHttp("/article/detail", params);
  },
  /* 报告详情  ArticleId */
  reportDtlTwo: (params) => {
    return getHttp("/tactics/detail", params);
  },
  /* 收藏 ArticleId*/
  collectRpt: (params) => {
    return postHttp("/article/collect", params, 0);
  },
  /* 申请访谈 ArticleId*/
  applyRpt: (params) => {
    return postHttp("/article/interview/apply", params, 0);
  },
  /* 新增文章带问接口 ArticleId*/
  articleAskAdd: (params) => {
    return postHttp("/report/commentAdd", params, 0);
  },
  /* 下载PDF打水印接口*/
  articlePdfwatermark: (params) => {
    return getHttp("/article/pdfwatermark", params, 1);
  },
  /* 报告搜索、资源包搜索接口*/
  getSearchReportAndResource: (params) => {
    return getHttp("/report/searchReportAndResource", params, 1);
  },
};
