// 全局音频背景播放状态管理模块
const videoModules = {
  namespaced: true,
  state: {
    playVideoId: 0,
    playVideoActId: 0,
    palyCurrentTime: 0,
  },
  mutations: {
    playVideo(state, payload) {
      state.playVideoId = payload;
    },
    playVideoActivity(state, payload) {
      state.playVideoActId = payload;
    },
    palyTimeUpdate(state, payload) {
      state.palyCurrentTime = payload;
    },
  },
};

export default videoModules;
